/*****************************************************************************
 * Bison/Flexプログラム部分をテストするための、Windowsアプリケーションの雛型 *
 * □ビルド・実行方法:                                                       *
 * ┃"C:\Program Files (x86)\Microsoft Visual Studio\VC98\Bin\VCVARS32.BAT"  *
 * ┃make -f winapp.mk run                                                   *
 *****************************************************************************/
#include "winapp.h"

int main(int argc, char* argv[]) {
	FILE* fp = fopen("program.txt", "r");
#if     (YYDEBUG!=0)
//	yydebug = 1; /* nonzero means print parse trace */
#endif/*(YYDEBUG!=0)*/
	yylex_init(fp);
	if((yyparse() != 0) || (yynerrs != 0)) DIE();
	fclose(fp);
	return EXIT_SUCCESS;
}

